What is Fragmentation

Fragmentation

One of the greatest impacts on Windows systems performance is disk fragmentation. Disk fragmentation occurs when files are broken into hundreds or even thousands of pieces and scattered across your hard disk. File fragmentation causes a huge degradation in system performance, and over time can bring your system to a near crawl. PerfectDisk defragments a disk by locating all parts of a file and bringing them together so that they are contiguous. As a result, the disk's read/write head has only one place to look to find a file. This significantly enhances system performance.

Why is fragmentation bad?

Fragmentation is bad because it can cause your computer to use excessive resources (memory and CPU time) to complete tasks related to reading and writing files. This unnecessarily increases the work your computer must do to support the applications you are running. In cases of severe fragmentation, some applications may not run at all.

What will PerfectDisk do?

PerfectDisk will locate all the pieces of every file on the disk and put each file back in one piece. It will also consolidate all the free space on the disk for better performance. The system and your applications can run 20%-80% better when the files are contiguous (assuming all other system settings are appropriate).

A grocery list analogy describes what PerfectDisk does in simple terms. If you have a grocery list with ten items, there are two ways you can get everything you need. You can make ten trips to the store and get one item each time; or you can make one trip and get all ten items. The first method wastes time and valuable resources; this is like reading a fragmented file. Each piece needs to be located and read one at a time. The second method is more efficient and saves time and resources. This is like reading a contiguous file where all the file data is in one place. Obviously, the contiguous files are better.

Special considerations

Some files are more sensitive to file fragmentation than others. Video and audio files will stream better if they are contiguous. If you are burning your own CDs, you can avoid buffer under runs if the files are contiguous. Internet downloads also create a lot of small temporary files that can fragment the free space and accelerate fragmentation. Regular disk defragmentation will insure optimum performance and enjoyment of your system.


Product Features

PerfectDisk is designed to make the defragmentation process easy.

PerfectDisk supports defragmentation of drives in excess of a terabyte.
PerfectDisk is fully controllable using Group Policy. Installation and scheduling can be set in Active Directory and every machine will inherit these settings as they are added to the network.
PerfectDisk now features network fragmentation trending. You can easily determine how fragmented your network is to determine how often you should schedule PerfectDisk.
With Raxco's patented Smart PlacementTM, PerfectDisk can actually reduce the amount of time it takes to defragment your Windows systems and can reduce how frequently you need to defragment your systems.
With Raxco's patented Smart PlacementTM, PerfectDisk can actually reduce the amount of time it takes to boot your Windows systems.
With Raxco's Perfect-TimeTM, you can set a fragmentation limit, so that PerfectDisk will only defragment your computer when a specified fragmentation level is achieved.
PerfectDisk now features a new MMC Snap-in interface in addition to the graphical user interface. Both allow for quick, easy and total control over the defragmentation process. Control how and when PerfectDisk runs. Specifically exclude/include drives, folders and/or files.
The scheduling feature is designed to allow you maximum flexibility in scheduling the defragmentation process to run at the most convenient times (whether it is a one time run or a routinely scheduled pass).
Powerful network scheduling allows you to quickly and easily defragment your entire Windows network from a single workstation.
The Schedule Query Wizard allows you to quickly and easily find out when PerfectDisk is scheduled to run throughout your entire Windows network.
The command line option allows for easy integration of PerfectDisk with batch processes. You can start/stop defrag passes, or check the status of a defrag operation on the local computer or on a remote computer.


Minimum System Requirements

In order to effectively use PerfectDisk you will need to meet the following requirements:

Operating System - Windows Server 2003, Windows XP, Windows 2000.

Memory - 64MB (128MB recommended).


Contacting Raxco Software

Raxco Software is a worldwide leader in the development and marketing of high-performance systems administration software and resource management solutions for the workplace. For more than 20 years, Raxco has helped companies enhance and preserve their client/server environments. Contact Information:

Product Sales:

If you have a demo version of PerfectDisk and want to buy it please contact Raxco Software, Inc.

Raxco Software, Inc | (301) 527-0803
Attn: Sales | Product Sales from the web
6 Montgomery Village Ave | e-mail Product Sales
Suite 500
Gaithersburg, MD 20879 |

Technical Support:

Raxco Software, Inc
Attn: Technical Support | Technical Support from the web
6 Montgomery Village Ave | e-mail Technical Support
Suite 500 |
Gaithersburg, MD 20879 |

When contacting Raxco Software Technical Support, please have the following information ready:

  • Your Name.
  • Your Company.
  • Your Phone Number.
  • Your email address.
  • The version of Windows you are running and what Service Pack is installed.
  • The version of PerfectDisk you are running (see Help/About PerfectDisk).
  • Text of any error messages that are displayed by PerfectDisk or by Windows.
  • Go to the Help Menu -> About PerfectDisk. Click Support Info, and attach the text document generated to your email. This will provide general system information about your drives as well as all the registry information generated by PerfectDisk.


Drive Analysis

Analyzing a drive will provide a full set of statistics and a graphical representation of the drive and a recommendation on what type of defragmentation pass you should perform. This could take from 10 seconds for small drives (less than 2 GB) to several minutes for large drives (greater than 500 GB). The time required is dependent on the number of files, the number of fragments, and the number of other processes sharing your computers resources.

  1. Select the drive letter on the left side of the screen and click the Analyze button on the toolbar (or right click and choose ANALYZE). The results will be displayed when the Analysis is done.

  2. When done, the Statistics Notebook is displayed providing a recommendation of the type of defragmentation pass you should perform.

Summary Statistics Summary Statistics

The Summary Statistics tab shows information about how long it took for a defragmentation pass to complete, as well a recommendation.

You can Save this information to a text file for analysis at a later time or Print this information.

File Statistics File Statistics

The File Statistics tab displays information on the breakdown of files according to Raxco's patented Smart Placement TM file placement strategy.
Most Fragmented Files Statistics Most Fragmented Files Statistics

The Most Fragmented Files Statistics tab displays a list of the most fragmented files, the file size and the number of fragments for those files.

You can select a file from this list and then click on Find File to display where this file is located in the disk bitmap.

Excluded Files Statistics Excluded Files Statistics

The Excluded Files Statistics tab displays a list of the Excluded files and the reason that a file is excluded. This list only relates to online defragmentation. These files can be moved during an offline defragmentation pass.

See also:

Disk Monitor Window


Performing a Defragmentation Pass

You may start a defragmentation pass manually or by creating a schedule to defragment the drive(s) at a later time. To manually start a Defragmentation pass proceed as follows:

NOTE: Although PerfectDisk can be run while other disk activity is occurring, the best defragmentation performance is realized when disk activity (adding, modifying and deleting files) is minimized.

  1. Select a computer from the network display on the left side of the screen. Once a computer is selected you may select one or more drives. Select multiple drives by holding down the Ctrl key while making your selection with the mouse. You cannot select drives from different computers. If you wish to defragment several different computers, you must start them one at a time or use a schedule. See Scheduling a Defragmentation Pass.

  2. Once a drive is selected you may start the defragmentation pass by right clicking the drive letter and selecting Defragment, SmartPlacement Defragment, or Defragment Only. These options are also available from the defragment menu and the tool bar.

    Manually starting a Defragmentation Pass

  3. Once the defragmentation process is started the drive bitmap will be displayed. If multiple drives are being defragmented you can monitor the process by selecting one of the drives and clicking the monitor icon on the tool bar.

See also:

Scheduling a Defragmentation Pass.

Excluding files during a Defragmentation Pass.

Drive Bitmap Display


Creating a Schedule

Creating a Schedule to Start a Defragmentation Pass

Scheduling a defragmentation pass is accomplished by using the Schedule Wizard. The Wizard allows you to create a schedule for a single computer or an entire domain.

NOTE: Although PerfectDisk can be run while other disk activity is occurring, the best defragmentation performance is realized when disk activity (adding, modifying and deleting files) is minimized.

  1. Launch the Schedule Wizard. The way you launch the Wizard dictates whether the schedule will be on your computer only or on multiple computers.
    1. Scheduling your own computer only - Select Create Local Schedule from the Schedule Menu or click on the Schedule icon on the toolbar
    2. Scheduling multiple computers - Select Create Network Schedule from the Schedule Menu
  2. Schedule Name page - Here you must enter schedule name. The name does not need to be unique, however if you reuse an existing name the new schedule will overwrite the old schedule.

  3. Computer Selection page (Network Schedules only) - Here you must select which computers you wish to defragment, then click NEXT.

  4. Drive Selection page - select which drives you want to defragment. By default all drives are selected. Additionally you need to decide if you want the drives defragmented one after the other or all at the same time. In general, defragmenting the drives one after another will be faster and use less computer memory and cpu time. Parallel selection can be useful if your drives are SCSI, or on different IDE controllers and you have more than one CPU.

  5. Defragmentation Methods page - On this page you need to select the file types to defragment; online and/or offline, as well as the type on defragmentation pass to perform; SmartPlacement or Defragment Only.
    If both online and offline file types are selected the online files will be defragmented after the offline portion has been completed. An offline schedule may reboot your computer, however it will not close any unsaved documents so you will never lose any data. In the event that you have not closed an unsaved document, PerfectDisk will wait for user input prior to shutting down the computer.

    1. Defragment Files Online - check this box to defragment all files that can be moved online. This box should normally be checked.
    2. Defragment Files Offline - check this box to defragment file types which cannot be moved while Windows is running. These files may include directories, system files and the paging file. See offline file types for detailed information.
    3. Online Defragment File Placement Method - choose either SmartPlacement or Defragment only. SmartPlacement will slow refragmentation of the drive and speed subsequent defragmentation passes, however it will be slower during the initial pass. Defragment Only will not consolidate free space but will be faster then SmartPlacement.
    4. Override Drive Settings - if checked, the Directories, System Files and Paging File check boxes will be activated. The selections made here will override any selections made in the Drive Properties Notebook.
    5. Directories - if checked, this schedule will defragment and consolidate directories. This will only affect drives formatted with the FAT/FAT32 file system. On NTFS drives the directories are moved as online files.
    6. System Files - if checked, this schedule will defragment the system files (MFT, metadata files, hibernate file, etc.).
    7. Paging File - if checked, this schedule will defragment paging file (Pagefile.sys).

  6. Schedule Frequency page - select the Schedule frequency: Once, Daily, or Weekly

    then click the NEXT button.

  7. Schedule date/time page (Once, Daily or Weekly) - enter the schedule details, then click FINISH:

    1. Repeat frequency (for Weekly or Daily schedules). For example, your schedule can be executed every 2 days or every 3 weeks. It is up to you.
    2. Enter the scheduled start Time and Day of the week (time and date for a one time schedule).
    3. Enter the maximum defragmentation duration. If you leave this blank the defragmentation pass will continue until it is done. This option allows you to terminate the defragmentation pass at a particular time if it is not already completed. If scheduled overnight, we recommend you set a duration which will ensure the pass stops before any co-workers need the computer in the morning. Additionally this option can be used to avoid other scheduled tasks such as backups, or daily Exchange maintenance.

  8. Schedule Results - A summary of the schedule is displayed:

    1. Computer - indicates which computer was scheduled.
    2. Schedule - indicates the schedule name.
    3. Next Schedule Start - indicates the start date and time of the next scheduled defragmentation. If PerfectDisk failed to gain access to the PerfectDisk Engine on a machine this field will show FAILED TO SCHEDULE message.
    4. Type - indicates the schedule frequency; Once, Daily, or Weekly.

See also:

Excluding files during a Defragmentation Pass.


Adding Computers to a Schedule

Adding Computers to an Existing Schedule

If you add a new computer to the network and want to addd it to an existing schedule you can accomplish this using the Add Computers to Schedule Wizard.

  1. First selct the Schedule which will be added to the new computer.

    2. Add Computer to Schedule

  2. Now from the Schedule Menu, select Add Computer(s) to Schedule.

    Add Computer to Schedule

  3. Computer Selection page - Here you must select which computers you wish to recieve the schedule, then click NEXT.

    Add Computer to Schedule

  4. Schedule Results - A summary of the schedule is displayed. If PerfectDisk could not add the schedule, the result screen will indicate why.

    Add Computer to Schedule Results

See also:

Creating a Schedule.


Excluding Files From a Defrag Pass

During an ONLINE defragmentation pass you may wish to exclude certain files. This can be done through the Exclude Files tab on the Drive Properties Notebook.

  1. Select a drive letter in the left hand panel and choose Drive Properties from the Defragment menu to open the Drive Properties Notebook.
  2. From the Exclude Files Tab you can select which files or folders will be excluded. Any file or folder with a red X will not be defragmented during a scheduled or immediate ONLINE defragmentation pass.
  3. The selections on this screen do not affect OFFLINE defragmentation passes. Normally data files are not moved offline unless they are in the location where PerfectDisk is relocating Metadata, the Pagefile or directories.


Defragmenting System Files

Defragmenting System Files & Directories

Certain files cannot be defragmented online due to operating system constraints. The constraints vary by operating system (Windows 2000 and Windows 2003/XP) and by file system format (FAT/FAT32 or NTFS). For a more detailed description see Offline files for your operating system). Generally the three types of files which may need to be defragmented offline are:

Pagefile - This is your virtual memory file (Pagefile.sys). This file is exclusively locked by the operating system and can only be placed by a boot time defragmentation pass.
System Files - These are operating system files such as the Master File Table, the hibernate file and other metadata files. Depending on the operating and file systems some of these files can be defragmented online and some offline.
Directories - On NTFS formatted drives directories are treated as online files. On FAT/FAT32 formatted drives directories are treated as offline files.

Defragmenting Files Offline

To manually start an Offline Defragmentation pass, proceed as follows. If you want to schedule these files to be defragmented on a routine basis see Scheduling a Defragmentation Pass.

  1. Access the Drive Properties Notebook for the drive you wish to defragment by selecting the drive letter, and choosing Drive Properties from the Defragment menu.

  2. On the Offline Defrag Settings Tab select the appropriate offline file types and click OK. Additionally, if you select the Perform Boot Time Defragmentation on Every Reboot checkbox, your computer will perform the offline defrag every time you reboot your computer. This checkbox will be disabled until you select at least one offline file type.

  3. Right click the drive letter and select Offline Defragment (this may also be started from the Defragment Menu).

  4. If the drive can be locked, the offline defrag pass can be completed without requiring a reboot. If the drive cannot be locked you will be prompted to perform the offline line defrag the next time you reboot your computer.

  5. If the drive could be locked, PerfectDisk will display statistics when the pass is completed.

    Offline Defrag Statistics

See also:

Scheduling a Defragmentation Pass


Command Line Interface

The command line interface allows PerfectDisk to easily be integrated into batch procedures. PerfectDisk supports the following features from the command line:

  • Start an online or offline defragmentation run on a specified computer/drive.
  • Schedule an offline defragmentation run for the next reboot.
  • Stop defragmentation run on a specified computer/drive.
  • Get status on all active PerfectDisk operations on a specified computer.

If successful the ERRORLEVEL environment variable will be set to 0. If unsuccessful the ERRORLEVEL will contain the return error.

  • 536870913 (0x20000001) - ERROR_INVALID_DRIVE. The drive is not a fixed hard drive formated FAT, FAT32 or NTFS.
  • 536870914 (0x20000002) - ERROR_COMPUTER_NOT_FOUND. The computer name entered could not be located.
  • 536870916 (0x20000004) - ERROR_ACCESS_DENIED. You do not have sufficient permissions to perform the requested operation.
  • 536870917 (0x20000005) - ERROR_LOCK_DRIVE_FAILED. The drive could not be locked to do an offline defragmentation pass
  • 536870918 (0x20000006) - ERROR_INVALID_LICENSE. The PerfectDisk license key is invalid for this version of PerfectDisk, or has expired. If the license is corrupt, you would get -1.
  • -1 - Catch all error. If the operation failed for a reason other than those listed above, the ERRORLEVEL will be set to -1

PerfectDisk can be controlled from the command line using the following arguments to PDCmd.exe:

PDCMD.exe

ARGUMENT

DESCRIPTION

/DefragOnly [/WAIT] <DriveLetters> [\\Computer Name]

/SmartPlacement [/WAIT] <DriveLetters> [\\Computer Name]

Optional syntax:
/DefragOnly or /DOL
/SmartPlacement or /SP
/WAIT or /W 		Start an immediate Defrag Only (DOL) or SmartPlacement (SP) pass of the ONLINE files on the specified drive.
  • If the optional /WAIT command is specified, PDCMD.exe will not return until the defragmentation pass is completed, or stopped.
  • The drive letter is mandatory. C:, or C:\ are all acceptable.
  • The DriveLetters parameter can accept multiple drives separated by a single space ( C: D: F: ). In lieu of specifying each drive this parameter can also accept /AllDrives, which will defrag all drives at the same time.
  • If the optional Computer Name is not specified the defragmentation pass will occur on the local computer.
/RUNSCHEDULE <Schedule Name> [\\Computer Name]

Optional Syntax:
/RUNSCHEDULE or /RS 		Immediately start a schedule.
  • The schedule name must be in quotes if the name contains spaces. ScheduleName or "Schedule Name"
  • If the optional Computer Name is not specified the defragmentation pass will occur on the local computer.
/OFFLINE [/WAIT] <DriveLetters> [file type flags] [\\Computer Name]

Optional Syntax:
/OFFLINE or /OF
/WAIT or /W 		Start an immediate defragmentation pass of the OFFLINE files on the specified drive.
  • If the optional /WAIT command is specified, PDCMD.exe will not return until the defragmentation pass is completed, or stopped.
  • The drive letter is mandatory. C:, or C:\ are all acceptable.
  • The DriveLetters parameter can accept multiple drives separated by a single space ( C: D: F: ). In lieu of specifying each drive this parameter can also accept /AllDrives, which will defrag all drives at the same time.
  • The file type flags (/ALL /D /S /P ) are optional. If they are not specified, the settings in the Drive Properties Notebook will be used.
    /ALL: Perform offline defrag on all applicable file types.
    /D: Perform offline defrag on directories.
    /S: Perform offline defrag on system files.
    /P: Perform offline defrag on the page file.
  • If the optional Computer Name is not specified the defragmentation pass will occur on the local computer.
/SCHEDBOOT <DriveLetters:> [file type flags] [\\Computer Name]

Optional Syntax:
/SCHEDBOOT or /SB 		Schedules a boot time defragmentation pass for the next reboot.
  • The drive letter is mandatory. C:, or C:\ are all acceptable.
  • The DriveLetters parameter can accept multiple drives separated by a single space ( C: D: F: ). In lieu of specifying each drive this parameter can also accept /AllDrives, which will schedule all drives for a boot time defrag on the next reboot.
  • The file type flags (/ALL /D /S /P ) are optional. If they are not specified, the settings in the Drive Properties Notebook will be used.
  • /ALL: Perform offline defrag on all applicable file types.
    /D: Perform offline defrag on directories.
    /S: Perform offline defrag on system files.
    /P: Perform offline defrag on the page file.
  • If the optional Computer Name is not specified the defragmentation pass will occur on the local computer.
/STOP <DriveLetters> [Computer Name]

Optional Syntax:
/STOP or /STP 		Stop the defragmentation pass on the specified drive.
  • The drive letter is mandatory. C:, or C:\ are all acceptable.
  • The DriveLetters parameter can accept multiple drives separated by a single space ( C: D: F: ). In lieu of specifying each drive this parameter can also accept /AllDrives, which will stop the defrag all drives at the same time.
  • If the optional Computer Name is not specified the defragmentation pass will occur on the local computer.
/STATUS [Computer Name]

Optional Syntax:
/STATUS or /ST 		Displays status of all active operations on the specified Computer.
  • If the optional Computer Name is not specified the status will be obtained for the local computer.

    Examples

  1. PDCMD /SP C: D: \\PDC-SVR1
    Start a SmartPlacement defrag pass on drives C: and D: of computer PDC-SVR1.
  2. PDCMD /STOP /AllDrives \\PDC-SVR1
    Stop the defrag pass for all drives on computer PDC-SVR1.
  3. PDCMD /OFFLINE /WAIT D: /D /S \\PDC-SVR1
    Start an offline defrag pass on drive D: of computer PDC-SVR1. Only defrag the directories and system files, and don't return until the defrag pass is completed.
  4. PDCMD /STATUS
    Get the status of all active defrag operations on the local computer.
  5. PDCMD /SCHEDBOOT C: \\PDC-SVR1
    Schedule a boot time defrag for c: drive the next time computer \\PDC-SVR1 is rebooted. The file types (directories, system files, pagefile) will be inherited from the Drive Properties Notebook.


User Administration

Who can run PerfectDisk?

In order to run PerfectDisk you will need to be a member of the Administrator Group.

NOTE: An administrator can give the necessary authority to run PerfectDisk to a non-administrative user through the Advanced Configuration Notebook. If in the Advanced Configuration Notebook, on the General Settings Tab, you select "This computer is not connected to a network", any user (not just the Administrator) can run PerfectDisk.

Local Administrators

  1. Any member of the Administrator group on a local machine can run PerfectDisk on their computer.

Regular Users

  1. If you are not an Administrator you will not be able to use PerfectDisk, unless an Administrator has given you permission though the Advanced Configuration Notebook. Non-Administrators can use PerfectDisk if "This computer is not connected to a network" is selected. You can make this selection even if you are on a network, this just means that PerfectDisk will not look for remote computers.

  2. A regular user can always stop PerfectDisk from defragmenting their computer by right clicking the tray icon and choosing STOP.

See also:

Advanced Configuration


File Name Lookup

In order to save memory and reduce PerfectDisk's impact on other processes, PerfectDisk only displays the file ID number on NTFS formatted drives. If you ever need to convert the ID to a name select Lookup File Name from ID on the View menu.

Lookup File Name

If you enter an ID Number which is beyond the end of the drive, PerfectDisk defaults back to file ID zero which is the Master File Table. Only NTFS formatted drives are listed, since FAT/FAT32 drives do not have file IDs.

Lookup File Name


Running a Schedule Query

Typically you will run a query of existing schedules in order to delete, cancel, or edit one or more schedules. You can also run a query just to see what is out there.

Querying for Schedules

  1. Launch the Schedule Query Wizard from the Schedule Menu on the toolbar.
  2. Computer Selection Page - Select the computers associated with the schedule(s) you wish to find and click NEXT.

    3. Schedule Query Wizard

  3. Results Page - the results page will display the information about all schedules on the computers you selected. You can save or print the results, as well as edit, delete, or cancel one or more schedules. Schedules created using Group Policy cannot be edited or changed locally. These schedules can only be changed using Active Directory.

    4. Schedule Query Wizard

See also:

Creating a new schedule

Deleting a schedule

Cancelling a schedule


Canceling an Existing Schedule

If you make a mistake or need to cancel an existing Schedule for any reason you should proceed as follows:

Canceling a Network Schedule

  1. Launch the Schedule Query Wizard from the Schedule Menu on the toolbar.
  2. Computer Selection Page - Select the computers associated with the schedule you wish to cancel and click NEXT.

    3. Schedule Query Wizard

  3. Results Page - hold down the Ctrl key, and select all the schedules which you want to cancel, and un-check the Enabled checkbox.

Canceling a Single Schedule

  1. Right click the schedule on the network view on the left side of the screen and choose Disable Schedule.

See also:

Deleting a schedule


Trending

What is trending?

PerfectDisk's trending allows you to gather statistical information about your computers drives and save it to a comma de-limited file.

The file can be imported into a database or spread sheet program for analysis. You can get a sample Microsoft Access database at http://www.raxco.com/support/windows/pd60.

How do I gather trend data?

  1. From the Tools menu select Trend Settings. This will open the Trend Settings dialog.

  2. Under General Settings, select how often you want PerfectDisk to gather data about your drives. The time must be at least ten minutes in the future to have data collected the same day.

  3. Next enter a location for the trend data file. You can use the variable %ComputerName% in the path or as the file name. This can be very useful if you want to send multiple trend files from different computers to the same share point. For example, on a computer named XP-Pluto, you could enter \\MyServer\MyShare\%ComputerName%.log, and PerfectDisk will create XP-Pluto.log on your share point.

  4. Drive Selection - Select which drives you want to gather data on and click OK

What data is collected?

  • Computer Name
  • Date (MM/DD/YYYY)
  • Time (HH:MM:SS)
  • Drive letter
  • Total files scanned
  • Number of fragmented files
  • Total file excess fragments
  • Percent file fragmented
  • Number of fragmented directories
  • Total directory excess fragments
  • Percent directory fragmented
  • Largest contiguous free space (in MB)
  • MFT Size (in MB)
  • MFT excess fragments
  • Number of rarely modified files
  • Rarely modified files size (in MB)
  • Number of occasionally files
  • Occasionally files size (in MB)
  • Number of frequently modified files
  • Frequently modified files size (in MB)
  • Number of directories
  • Directories size (in MB)
  • Number of boot files
  • Boot files size (in MB)
  • Number of excluded files
  • Excluded files size (in MB)
  • Free space outside of the Mft reserved zone (in MB)
  • Free space inside the Mft reserved zone (in MB)
  • Number of most fragmented files
  • Fragmented files (file name, size in MB, number of excess fragments)
  • Number of excluded files
  • Excluded files (file name, reason, number of excess fragments)


Editing a Schedule

If you need to change a schedule you can delete the old and recreate a new one, or edit the old one. This can be done for a single schedule or multiple schedules all at once, even if they are not the same.

Editing a Single Schedule

  1. Invoke the Schedule Wizard for the schedule you wish to change.

    1. Double click the Schedule you wish to edit from the Network tree control on the main screen.
    2. Additionally you can right click the Schedule Name in the Network tree control and select Edit Schedule or select Edit Schedule from the Schedule Menu.

  2. Select Drives Page - change the drive selection, then click NEXT.

  3. Schedule Frequency Selection - change the type of schedule if needed, then click NEXT.

  4. Date/Time Selection - enter the new date/time to start the schedule, then click. FINISH

Editing Multiple Schedules

  1. Launch the Schedule Query Wizard from the Schedule Menu on the toolbar.
  2. Computer Selection Page - Select the computers associated with the schedule(s) you wish to change and click NEXT.

    3. Schedule Query Wizard

  3. Results Page - hold down the Ctrl key, and select all the schedules which you want to change, and hit the EDIT button. This will invoke the Schedule Wizard for all the selected schedules.

    4. Schedule Query Wizard

  4. Simply follow the Schedule Wizard and all the schedules will be changed.

See also:

Creating a new schedule

Deleting a schedule


Deleting a Schedule

If a Schedule is no longer needed it can be deleted in the following ways:

Deleting a Single Schedule

  1. First select the Schedule you wish to delete from the Network tree control on the main screen, then from the Schedule Menu, select Delete Schedule or hit the Delete key on your keyboard.

  2. Additionally you can right click the Schedule Name in the Network tree control and select Delete Schedule

Deleting Multiple Schedules

  1. Launch the Schedule Query Wizard from the Schedule Menu on the toolbar.
  2. Computer Selection Page - Select the computers associated with the schedule(s) you wish to delete and click NEXT.

    3. Schedule Query Wizard

  3. Results Page - hold down the Ctrl key, and select all the schedules you want to delete, and hit the delete key or the MANAGE button, and select delete.

    4. Schedule Query Wizard

See also:

Creating a new schedule

Changing an existing schedule


Installing PerfectDisk with Active Directory

PerfectDisk can be deployed by Active Directory using Group Policy.

NOTE: PerfectDisk uses Windows Installer version 2.0 or higher. This is available with Windows 2000, SP3, Windows XP, and Windows Server 2003. You can also download it directly from Microsoft without applying any service packs.

To deploy PerfectDisk using Group Policy proceed as follows:

  1. First you must create an Administrative Installation of PerfectDisk. This is done by typing the following at the command line:

    msiexec /a C:\PerfectDisk.msi, where "C:\PerfectDisk.msi" is the full path to the PerfectDisk.msi file.

  2. This will launch the Administrative Installation wizard. You need to install PerfectDisk to a share point capable of being accessed by all computers which will have PerfectDisk installed.
  3. Now, open Group Policy from Active Directory Users and Computers, from Active Directory Sites and Services, or as a stand-alone Microsoft Management Console snap-in.
  4. To assign PerfectDisk to computers, double-click Computer Configuration.
  5. Double-click Software Settings.
  6. In the console tree, right click Software Installation, and chose New Package from the menu.
  7. Chose the PerfectDisk.msi file from the Administrative Installation you created earlier.

See Also:

Patching PerfectDisk via Group Policy


Patching PerfectDisk With Active Directory

Occasionally you may need to update PerfectDisk to a new build as features are added or service packs become available. This can be done using Auto Update or by patching via Group Policy. To Patch using Group Policy proceed as follows:

  1. First you must download the patch file from Raxco's ftp site at ftp://www.raxco.com\pub\download\PD60. The name of the file to get will be PD60pEN.exe.
  2. This is a self extracting zip file. You will need to extract the PD60P.msp file from this exe file using WinZip or equivalent.
  3. Once extracted, you need to update the Administrative Image you created when the PerfectDisk was first deployed. To do this type the following at the command line:

    msiexec /a \\MyServer\MyShare\PerfectDisk.msi /p C:\PD60pEN.msp

    where "\\MyServer\MyShare\PerfectDisk.msi" is the network path to the original Administrative Installation and
    "C:\PD60pEN.msp" is the full path to the patch file.

  4. This will launch the Administrative Installation wizard. You need to re-install PerfectDisk to the same share point used for the original Administrative Installation.
  5. Now, open Group Policy from Active Directory Users and Computers, from Active Directory Sites and Services, or as a stand-alone Microsoft Management Console snap-in.
  6. To assign PerfectDisk to computers, double-click Computer Configuration.
  7. Double-click Software Settings.
  8. Under Software Installation, choose the PerfectDisk installation. Right click the package, and choose Redeploy
  9. The next time Computer Policy is refreshed, PerfectDisk will be updated.

See Also:

Installing PerfectDisk via Group Policy

You can find find help from Microsoft at:

http://support.microsoft.com/default.aspx?scid=kb%3Ben-us%3B226936


Configuring PerfectDisk With Group Policy

PerfectDisk is fully integrated to use Group Policy to control PerfectDisk. The installation folder contains PerfectDisk's administrative template file (PerfectDisk.adm).

To import the Administrative Template file in to Active Directory proceed as follows:

  1. Copy the PerfectDisk adm file to the folder containing .inf files (typically C:\winnt\inf).
  2. Using Active Directory, access the Group Policy Object which you are going to use to control PerfectDisk or create a new one. That's generally done as follows. See Windows help for more details if necessary.
    1. Launch the Active Directory Users and Computers Applet.
    2. Select an Organizational Unit.
    3. Right click and chose Properties.
    4. Go to the Group Policy tab and select an existing template or create a new one, and click EDIT
  3. Right click on Administrative Templates, and chose Add/Remove Template.
  4. Add the PerfectDisk.adm file

The following Computer and User settings can be controlled using PerfectDisk's Administrative Template.

Computer Settings:
Network Enabled - If NOT CONFIGURED, the setting established locally will be followed. If ENABLED, PerfectDisk will be in Network Mode. If DISABLED, PerfectDisk will be in Standalone (non-networked) computer mode. Computers can be setup as Networked or Standalone (ie not connected to the network). Standalone computers allow Non-Administrative users access to PerfectDisk for use on their local computer only. In Network Mode you must be a member of the Local Administrators Group to use PerfectDisk.
Boot File Optimization Settings - If NOT CONFIGURED, the setting established locally will be followed. If ENABLED, the setting defined here will be followed. If either XP only option is selected for a Win2000 computer, PerfectDisk will manage the boot files (option 1). If DISABLED, neither PerfectDisk nor the system will defragment the files needed to boot your computer. Raxco recommends letting PerfectDisk Manage Boot files only (option 1). See Advanced Configuration for additional details
Defragmentation Threshold - If NOT CONFIGURED or DISAABLED, the setting established locally will be followed. If ENABLED, the value set will apply to all drives. Defragmentation will only occur is the threshold is exceeded.
Log Error Messages - If NOT CONFIGURED, the setting established locally will be followed. If ENABLED, Error messages will be logged. If DISABLED, Error messages will not be logged.
Log Informational Messages - If NOT CONFIGURED, the setting established locally will be followed. If ENABLED, Informational messages will be logged. If DISABLED, Informational messages will not be logged.
Log to PerfectDisk's Log - If NOT CONFIGURED, the setting established locally will be followed. If ENABLED, PerfectDisk will log to its own log file. If DISABLED, PerfectDisk will not log to its own log file.
Log to Application Event Log - If NOT CONFIGURED, the setting established locally will be followed. If ENABLED, PerfectDisk will log to the Application Event Log. If DISABLED, PerfectDisk will not log to the Application Event Log.
Configure Auto Update - If NOT CONFIGURED, the setting established locally will be followed. If ENABLED, the setting configures here will be followed. If DISABLED, Auto Update will never run.
Group Policy Schedule - If NOT CONFIGURED, or DISABLED no Group Policy schedules will be generated. If ENABLED, the schedule defined here will apply to all computers. There are 5 default group policy schedules

User Settings:
Allow Access to PerfectDisk - If NOT configured any user can open PerfectDisk's user interface. If DISABLED, the user cannot launch PerfectDisk. This policy applies to all means of access to PerfectDisk; User Interface, MMC Snap-in, PerfectDisk Command line interface.
Allow Advanced Configuration - I ENABLED or NOT CONFIGURED, the user can access the Advanced Configuration Notebook. If DISABLED, access will be blocked. The Advanced Configuration Notebook allows changing PerfectDisk's network access, boot file management strategy, log setting, and Auto Update settings.
Allow Analyzing drives - If ENABLED or NOT CONFIGURED, the user can use PerfectDisk's analyze feature. If DISABLED, the Analyze function will be blocked.
Allow starting an online defragmentation pass - If ENABLED or NOT CONFIGURED, the user can start a defragmentation pass. If DISABLED, the user cannot start a defragmentation pass.
Allow Starting an offline defragmentation pass - IF ENABLED or NOT CONFIGURED, the user can start an offline defragmentation pass. If DISABLED, the user cannot start an offline defragmentation pass.
Allow modification of Drive Properties - If ENABLED or NOT CONFIGURED, the user can access the Drive Properties Notebook and configure the online and offline settings. If DISABLED, the user will not have access to the Drive Properties Notebook.
Allow creating or changing schedules - If ENABLED or NOT CONFIGURED, the user will be allowed to create or change local schedules. If DISABLED, the user cannot create or change any schedules.
Allow scheduling a boot time defrag pass - If ENABLED or NOT CONFIGURED, the user can start a boot time defragmentation pass on his computer. If DISABLED, the user cannot start a boot time defragmentation pass.
Allow starting a scheduled defragmentation pass - If ENABLED or NOT CONFIGURED, the user can start a schedule defragmentation pass using the Run Schedule Now feature. If DISABLED, the user cannot manually start a defragmentation Schedule.


Auto Update Configuration

Auto Update Options

PerfectDisk has a built-in Auto Update capability. Using PerfectDisk's Auto Update will ensure you are always running the most up-to-date copy.

  1. Select Advanced Configuration from the Tools Menu.

From this tab, you can set Auto Update to automatically run and keep your software up-to-date without any System Administrator action. Also, you can specify the protocol to use when running Auto Update. FTP should be faster, however this protocol may be blocked by your proxy server.

  1. Automatically check for updates - if checked, PerfectDisk will check for updates periodically (usually once a week). You can also manually check for updates by using the Check For Updates option on the Help menu.
  2. Use HTTP protocol - specify the http site where the update files are located (default location is http://ftp.raxco.com/pub/download/PD60).
  3. Use FTP protocol - specify the ftp site where the update files are located (default location is ftp://ftp.raxco.com/pub/download/PD60).
  4. Always Install - if selected, PerfectDisk checks the Raxco ftp (or http) site looking for an update. If one is available, it will be automatically downloaded and installed. This will always keep PerfectDisk up-to-date.
  5. Notify When Available - if selected, PerfectDisk will notify you when an update is available. You can choose to download it, to install it, or to do nothing.
  6. The Advanced button allows you to set a proxy server name and password, if you are using a proxy server.

Configuring My Own Update Site

If you would like to configure your own update site instead of relying on Raxco's, perform the following:

  1. Setup your own ftp or http server.
  2. Copy the update configuration file and the latest update from Raxco's default ftp update path (ftp://ftp.raxco.com/pub/download/PD60). The file names are PD60EN.ini and PD60p.exe. The ini name may be different depending on your version of PerfectDisk. EN=English, JP=Japanese, EU=European, etc.
  3. Place these files on your ftp/http server and using the Auto Update tab on the Advanced Configuration Notebook, you will need to point to the ini file.

See Also:

Manually checking for updates


Log Settings

PerfectDisk lets you determine the type of logging required for your internal operations. Log files are used for determining which files were moved and for obtaining summary information regarding PerfectDisk.

To access PerfectDisk’s log file options:

  1. Select Advanced Configuration from the Tools Menu, and choose the Log Settings Tab.

  1. Log Messages - Select Error and/or Informational messages.
    1. Error - if checked, PerfectDisk logs error messages. This will provide a more detailed and technical account of a problem.
    2. Informational - if checked, PerfectDisk will log informational messages regarding the status of PerfectDisk. For example, the start and stop of defragmentation passes.

  2. Log Destination:
    1. Log File - if checked, PerfectDisk logs will be generated. If not checked no logs will be generated.
    2. System Event Log - if checked, PerfectDisk will record log information to the Event Application log.

  3. Log File Location - enter the path where the PerfectDisk log files will be written. You can use the browse button to select the desired location. If you enter a path which does not exist, PerfectDisk will create the directory. You can use %ComputerName% as a variable for the computer name.

    For example if you computer name is XP-PLUTO, and you entered \\MyServer\Log\%ComputerName%.log
    PerfectDisk will generate XP-PLUTO.log as your log file.

See Also:

General Settings

Auto Update Settings


General Configuration

General Settings

To access PerfectDisk’s General Settings:

  1. Select Advanced Configuration from the Tools Menu.

General Settings:

  1. Standalone - if selected, PerfectDisk will not attempt to discover and display networked computers--only your local computer will be listed. Additionally, any user (not just Administrators), can launch and use PerfectDisk to defragment their computer. In this mode, PerfectDisk can still be controlled from other remote computers.
  2. Networked - if selected, PerfectDisk will attempt to discover and display all computers on your LAN. The computers listed will depend on your security identifier (see Who can run PerfectDisk), and whether or not the Master Browser service is running (domain model only).
  3. Use Master Browser to locate networked computers - if checked, PerfectDisk will use the Master Browser service (or Active Directory) to display your network. This will substantially improve performance and should always be checked if your company uses the Master Browser service or Active Directory. If this box is un-checked, PerfectDisk will be able to find all the computers on your network without the aid of the Master Browser service or Active Directory.
  4. Display Defragmentation Strategy - if checked, you will be prompted during the start of a defragmentation pass as to which type of defragmentation strategy you wish to use--SmartPlacement defrag pass or a Defrag Only pass.
  5. Edit Schedules in Wizard Mode - if checked, the editing of schedules will be done by walking you through a wizard. If un-checked, the editing of schedules will be done in a four-tabbed notebook

Optimization of files needed to start your computer:

  1. Let PerfectDisk manage. - if selected, PerfectDisk will optimize the location of the files needed to start your computer. This will decrease the time necessary to reboot your computer. If not managed by the Operating System or PerfectDisk, your computer could become unbootable if a file needed to boot the system is moved beyond the BIOS limit of your computer. On Windows XP/2003, this is a subset of the files listed in the layout.ini file (i.e., only those needed to boot the operating system).
  2. Let PerfectDisk manage all the layout.ini files (Windows XP/2003 only) - if selected, PerfectDisk will defragment, and place all the files listed in the layout.ini file in order, starting at the beginning of your disk. This list contains all files loaded by Windows from the second you turn on your computer until about 1 minute after the desktop appears. This list not only contains the files needed to boot, but also the applications you routinely start after the system has booted. See http://www.microsoft.com/hwdev/platform/performance/benchmark.asp for more information on Layout.ini.
  3. Let the System manage the layout.ini files (Windows XP/2003 only) - if selected, Windows XP/2003 will place the layout.ini files automatically every three days during system idle periods. The placement will be to the first area of free space capable of storing them. If the system is never idle for a sufficient period, these files will never be placed.
  4. Disabled - if selected, neither PerfectDisk nor the operating system will manage the files. This should never be chosen unless you have another third party tool managing these files.

See Also:

Log Settings

Auto Update Settings


Offline Defragmentation Settings

The Offline Defragmentation Settings tab is in the Drive Properties Notebook. Access the Drive Properties Notebook for the drive you wish to defragment by selecting the drive letter, and choosing Drive Properties from the Defragment menu.

Offline Defrag Settings

This tab is where you set which file types to defragment during an offline defragmentation pass. The settings on this screen can be overridden by a Schedule or a Command Line launch of the offline defragmentation pass.

Offline Defragmentation File Type Selection - These selections will effect Offline Defragmentation passes.

  1. Directories - if checked, Directories will be defragmented and consolidated during Offline defragmentation passes. The box is grayed out for drives where the directories can be defragmented online.
  2. System Files - if checked, system files, such as the Master File Table, the metadata files, etc., will be defragmented during Offline defragmentation passes.
  3. Paging File - if checked, the paging file (pagefile.sys) will be defragmented during Offline defragmentation passes. If the Pagefile is not resident on this partition checking this box will have no effect.
  4. Defragment selected offline file types on EVERY reboot - if checked, PerfectDisk will defragment the selected file types during every reboot. This option will be disabled until an offline file type is selected.

See also:

Online Defragmentation Settings


Online Defragmentation Settings

The Online Defragmentation Settings tab is in the Drive Properties Notebook. Access the Drive Properties Notebook for the drive you wish to defragment by selecting the drive letter, and choosing Drive Properties from the Defragment menu.

Online Defrag Settings

This tab is used to store user configurable parameters used for Smart PlacementTM. These settings affect both manually initiated and scheduled defragmentation passes.

  1. Smart Placement organizes files based on their age. Older file are grouped together since they are less likely to change or be deleted. This is turn minimizes refragmentation and maximizes the speed of subsequent defragmentation passes.

    1. Set the Rarely Modified Age.

    2. Set the Frequently Modified Age.

  2. Aggressive free space consolidation checkbox - if checked, PerfectDisk will place files one after the next during a SmartPlacement defragmentation pass. This sometimes can slow the defragmentation process. If unchecked, SmartPlacement still defragments all the files, however it allows small chunks of free space to remain between files in order to finish the defrag pass faster.

  3. Fragmentation Threshold Percentage. - this percentage controls whether or not PerfectDisk will defragment the drive. If the threshold percentage is set to 5, then PerfectDisk will only defragment the drive if the fragmentation level is 5% or higher. The percentage is calculated during the first stage of the defragmentation pass. The default value is 0, meaning that PerfectDisk will always defragment the drive regardless of the level.

See also:

Offline Defragmentation Settings


Exchange Module Optimization Overview

This module, if installed, allows you to reclaim disk space and shrink the Exchange Server data stores (Exchange v5.5 and Exchange 2000). By default this module is not installed with PerfectDisk but is sold separately and only needs to be installed on your Exchange Servers. This powerful module is fully integrated with PerfectDisk.

The best Microsoft Exchange practices recommend complete offline defragmentation and optimization of the information stores once every three months. Microsoft Exchange automatically addresses database cleanup during its daily online maintenance routines but, this cleanup does not allow you to recover disk space.

The offline defragmentation and compaction of your Exchange Server data stores, allows the operating system to reclaim disk space taken up by deleted emails and attachments. As email is deleted, your Exchange Server frees the space up inside the data stores but it is not returned to the operation system so the data stores never shrink in size. Smaller Data Stores means faster backups and more efficient disk utilization.

If your Exchange data stores are beginning to consume large quantities of disk space the only way to reclaim the space is to perform an offline defragmentation and compaction pass.

PerfectDisk allows you to automatically shutdown the Exchange Server (v5.5 - stopping the required services), copy the selected data stores to a local or remote drive, defragment and optimize them, and return them to the applicable Exchange data store directory and restart the Exchange Server. This can be done from the User Interface or scheduled to occur later in the evening or on weekends. On Exchange 2000, the selected data stores are dismounted and no services are shutdown. This leaves the mail server available for other data stores.

See also:

Configuring PerfectDisk to Defragment the Exchange Data Stores

Defragmenting and Optimizing Exchange Data Stores

Scheduling an Exchange Data Store Defragmentation pass


Defragmenting Your Exchange Data Stores

Defragmenting Your Exchange Server Data Stores

Prior to starting an offline defragmentation pass:

Ensure you have configured PerfectDisk to have sufficient free space to succeed. See Configuring Exchange Module.

Ensure you have a current backup. If the defragmentation pass fails, you may need to restore from this backup.

In order to reclaim the maximum amount of space it is recommended that you have all users delete unnecessary items from their SENT and DELETED folders. This will allow PerfectDisk to reclaim the maximum amount of space while you have the Exchange Server offline.

  1. Select the Data Store in PerfectDisk's network tree (left pane of the user interface), then select DEFRAGMENT EXCHANGE DATA STORE from the Defragment menu. This will invoke the PerfectDisk Exchange Module Defragmentation Status screen.

    2. Exchange Defrag Status Screen

    NOTE
    On Exchange v5.5, this will stop your Exchange Server for the duration of the defragmentation pass.
    On Exchange 2000, the data store will be dismounted and the other data stores will remain in service.

  2. PerfectDisk can defrag the information store at about 2 to 4 GB per hour, however this is dependant on your configuration selections and network speed, and how much space is being reclaimed from the information stores.

  3. During the defragmentation pass PerfectDisk will perform the following steps:

    1. Verify there is sufficient space to make a temporary working copy (and space for a backup copy, if configured).
    2. Exchange v5.5 - Shutdown the Exchange services (MS Directory Service, MS Exchange Information Store and any dependant services).
    3. Exchange 2000 - unmount the selected Data Store
    4. Start the defragmentation process (copy the data store to the temp working directory and defragment it).
    5. Copy the information store back, and delete the temporary working copy.
    6. Exchange v5.5 - Restart the Exchange Services. PerfectDisk will only restart the services it shutdown. If the Exchange services were stopped prior to starting the defragmentation pass, PerfectDisk will not restart them.
    7. Exchange 2000 - Mount the data store

  4. After running the PerfectDisk offline defragmentation process on your Exchange Server, you MUST make a full online backup. When the offline defragmentation process runs, it changes the signature on the database, making it incompatible with old log files.

See also:

An Overview of the Exchange Optimization Process

Exchange Module Configuration

Scheduling an Exchange Data Store Defragmentation pass


Exchange Module Configuration

Data Store Configuration Properties

The The first step in optimizing your Exchange Server is to configure the PerfectDisk Exchange Module.

    Exchange Defrag Menu

  1. Right click the data store and select Properties. This will invoke the Data Store Configuration screen. You can also select multiple Data Stores useing the SHIFT or CTRL keys to configure more than one data store at a time.

    2. Data Store Configuration screen

  2. Backup File - creates a pre-defrag copy of the data store.

    1. If selected, you need to provide a path and file name (i.e. L:\Temp\Backup.edb) where PerfectDisk will copy the existing information store prior to offline defragmentation.

    2. You also need to decide whether or not to overwrite an old copy on the data store. Overwrite, will delete the old data store and create a new copy. Create New, will append the current Date and Time to the backup copy file name (i.e., Backup-8-10-2002(15h30m).edb) hence creating a new uniquely named information store copy every time you defragment the information store.

    3. This path must have sufficient free disk space to hold the information store. Depending on the size of the information store this may take several hours. This is simply a file copy operation once the data store in off line.

    4. PerfectDisk runs under the security context of LocalSystem, so any remote share selected, must grant the proper permissions to allow the Exchange Server LocalSystem account access. Under active directory the LocalSystem account accesses network resources from the Computer account. The easiest way to get this right, is to allow the DomainComputer account to have full control of the share through the Domain Controller Security Policy applet.

    5. Microsoft strongly recommends having a full backup prior to performing an offline defragmentation pass, since as is inherent with any database changes the data could become damaged and the Exchange Server may fail to restart, in which case you will have to restore from your current backup.

  3. Working Directory - allows defragmenting the data store on a different drive or computer.

    1. When your data store is being defragmented, a copy is made and defragmented, then copied back to the location of the active information store. In order to create this temporary working copy of the data store, there needs to be sufficient space on your hard drive. The process requires free space equal to 110% of the size of the data store.

    2. Exchange 5.5 - If not specified, the default working directory is the system32 folder on the boot drive (i.e. \\Windows\system32).

    3. Exchange 2000 - If not specified, the default working directory, is the Exchange Server bin directory (i.e., \\Program Files\Exchsrvr\BIN).

    4. If you know this drive does not have sufficient space to allow defragmentation you must check this box and enter a valid network path or alternate drive which contains adequate free space. This temporary file will be deleted when the defragmentation pass is complete.

    5. PerfectDisk runs under the security context of LocalSystem, so any remote share selected, must grant the proper permissions to allow the Exchange Server LocalSystem account access. Under active directory the LocalSystem account accesses network resources from the Computer account. The easiest way to get this right, is to allow the DomainComputer account to have full control of the share through the Domain Controller Security Policy applet.

  4. Once these two settings are configured for all information stores you are ready to optimize the Exchange Server data stores.

    See also:

    An Overview of the Exchange Optimization Process

    Defragmenting and Optimizing Exchange Data Stores

    Scheduling an Exchange Data Store Defragmentation pass


Scheduling an Exchange Data Store Defragmentation pass

Exchange Module Schedule Wizard

Creating or Editing a Schedule:

  1. Select Create Local Schedule from the Schedule Menu (or toolbar). This will invoke the scheduling wizard.

    2. Exchange Defrag Menu

  2. Schedule Name - Give your Schedule a name and set the Schedule Type to Exchange Data Stores and click NEXT.

    3. Exchange Defrag Menu

  3. Data Store Selection. - Select which Data Store(s) to defragment. The stores will be defragmented in series one after the other. If you want to be notified via email when the schedule is finished, enter valid to and from email addresses. If you select an address which is not controlled by the Exchange Server being defragmented, the server will need to be configured to allow mail relaying.

    4. Exchange Data Store Selection screen

  4. Schedule Frequency Selection - Select either weekly or schedule one time. The weekly schedule allow periodic defragmentation passes every defined number of weeks. Offline defragmentation should be performed every 3 months, however your local situation will dictate how often you will need to defragment.

    5. Exchange Schedule Type screen

  5. Schedule Start - Enter the desired Start time and date, and click FINSIH

    6. Exchange Schedule Date/Time

  6. After running the PerfectDisk offline defragmentation process on your Exchange Server, you MUST make a full online backup. When the offline defragmentation process runs, it changes the signature on the database, making it incompatible with old log files.

See also:

An Overview of the Exchange Optimization Process

Exchange Module Configuration

Defragmenting and Optimizing Exchange Data Stores


Auto Update

Checking for Updates

Auto Update

PerfectDisk can automatically identify, download and install new product updates. Simply click on Help from the “pull down” menus and select Check For Updates. PerfectDisk will then contact Raxco Software and see if there is a newer version available.

If there is a newer version available, PerfectDisk will prompt the user to Install or Download the update.

Choosing to install the update will automatically download and update PerfectDisk to the newer version. Choosing to download the update will allow the user to update PerfectDisk to the newer version at a later time.

Auto Update can be customized so that any updates are downloaded from a local server instead of the Raxco site. Please see Advanced Auto Update options for more information.

Using the Tools->Advanced Configuration menu, you can set Auto Update to use the ftp protocol. The default is http.

See Also:

Auto Update Settings


Auto Update

This screen defines how PerfectDisk's Auto Update feature will keep your copy of PerfectDisk current with the latest service pack.

Automatically Check for Updates | If checked, PerfectDisk will check for service packs weekly
Protocol | You can check for updates via ftp or http. Ftp will be faster but may be blocked by you proxy server. Check with your system administrator.
URL | By default, PerfectDisk will check Raxco's web site for updates, however you can change this to your own ftp or web server. If you point this toward your own server you must place the PD60EN.ini and PD60pEN.exe files in the selected directory on your server. These files are available on the default Raxco site.
Advanced | The Advanced button allows you to record your proxy settings.
Install Option | Select whether you want PerfectDisk to notify you when an update is available or automatically install it.


General Settings

Networked or Standalone | Standalone will allow non-administrative users to defragment their own computer only. Networked will block non-administrative users, however it will allow members of the Administrators Group to launch and use PerfectDisk across the network on all computers where it is installed and they are members of the Local Administrator Group.
Use Master Browser | Using the Master Browser will allow faster access to the network and should always be selected. If your company disables the Master Browser service, you can configure PerfectDisk not to use the Master Browser, in which case the computers listed in the network tree display will be those recorded on the Primary Domain Controller.
Optimization of files needed to start your computer | When PerfectDisk manages these files, they are placed to ensure faster boot times. This is the recommended configuration. Under Windows XP/2003, PerfectDisk can also manage all files listed in your layout.ini file. This file contains all the files used by your computer from the moment you turn it on until 1 minute after it has started. See Microsoft's articles for more information on layout.ini file. The operating system can also manage the layout files, however they will be placed in the first available piece of free space on the drive. This will most likely not be the optimal location. Additionally, XP will move these files every three days leaving behind a free space hole which will increase refragmentation rates on your computer. PerfectDisk allows you to disable this file optimization, however this is not recommended unless you have another third party tool managing these files for you.


Log Settings

Log Messages | Select the level of logging you need. By default, both Error and Informational messages are recorded.
Log Destination | PerfectDisk can log to the Application Event log and/or its own log file.
Log File Location | By default PerfectDisk's log will be in \Documents and Settings\All Users\Application Data\Raxco\PerfectDisk\6.0. You can enter a variable for the computer name in the log path so that logs from different computers can be sent to the same share point. For example: \\MNyServer\MyShare\%ComputerName%.log, will insert the computer as the log file name. It can also be used as a folder name.


Auto Update

Auto Update Proxy Settings

This screen allows you to save specific proxy settings when running Auto Update.


Bitmap View

Drive Bitmap View

The Drive Bitmap view graphically displays your drive.

Main Menu and Toolbar | The main drop down menus provide access to all of PerfectDisk's functions. The Toolbar provides a quick shortcut to the most common tasks.
Bitmap | The colorful bitmaps provides a graphical representation of the drive.
Network Drive Listing | The explorer like tree control displays all the drives and schedules on each computer. Right clicking a drive letter or schedule provides a menu controlling defrag passes, and configuration. The tree also allows access to other computer via Microsoft's network or Active Directory
Legend | The color for the various file types can be changed by double clicking the color and selecting a new one.
Progress bars | Along the bottom of the screen there are individual file progress and over all progress bars to indicate how much of the file or drive has been defragmented so far.


Defragmentation Strategy Selection

SmartPlacement This strategy will defragment the entire drive and place files according to their usage patterns.
  • The free space will be consolidated next to the most frequently changing files.
  • Refragmentation rates will be lower (the drive will take longer to refragment).
  • Subsequent defragmentation passes will be quicker.
  • Using this strategy, the defragmentation pass will take longer to finish the initial time.
Defragment Only This strategy attempts to defragment only the fragmented files and does not optimize file location.
  • Defragmentation passes will be quicker
  • Free space will not be consolidated
  • Refragmentation rates will be higher (the drive will refragment faster)
  • This is only recommended when there is sufficient free space on the drive.
Do Not Show this Dialog Again If checked, the toolbar and main menus will have both Defragment Only and SmartPlacement start choices. The dialog can be turned back on from the Tools menu, Advanced Configuration selection.


Data Store Properties

This screen is used to set the Data Store defragmentation settings used when defragmenting Exchange.

Backup File | When checked, a backup copy of the data store will be made while it is off line. The copy is of the pre-defragmented data store.
Working Directory | This option allows you to defragment the data store on a remote share point in case there is not enough room on the local computer. You should always use a unc path not a shared drive letter since shared drive letters are user specific and require someone to be logged into the Exchange Server while defragmenting.


Schedule Wizard - Data Store Selection

On the Data Store Selection Page, you pick which data stores will be defragmented when the schedule runs.

Select Data Stores | Select which data stores to include in your schedule. Data stores will always be defragmented in series (on after the next) when the schedule starts. A check mark indicates the data store will be included in the schedule.
Notification | After completion of the defragmentation pass, an email can be sent. The email is sent using the local Exchange Server, so if the "To Address" is not an account on the local mail server, it may not be delivered if mail relaying is not enabled. Raxco recommends sending the completion message to an account on the current mail server.


Schedule Properties

This screen displays information about when a schedule last ran, when it is due to run again, and which data stores are included in the schedule.


Find Computer

This screen allows you to search for a specific computer with PerfectDisk.

Computer Name Enter the name of the computer you are trying to locate and PerfectDisk will attempt to locate and connect to it.


Find File

From here you select a file you want the bitmap to display. The selected file will blink on the drive display.

File Path After a drive analysis or defragmentation pass, you can use the Find File feature to display the file location on the drive bitmap.


Legend

Change Color Select a file type and use the Change Color button to change which color is associated with each file type.


Excluded Files

This screen displays which files will not be defragmented.

File Exclusion The selected files WILL NOT be defragmented or moved by PerfectDisk during an online defragmentation pass.

This exclusion list does not affect offline defragmentation passes.


Drive Properties - Offline Configuration

This screen allows you select which file types to defragment offline or when the computer is booting up.

Offline File Types | The choices will vary based on operating system (Windows 2000 or XP/2003) and file system format (FAT or NTFS) OFFLINE files are files which cannot be defragmented while Windows is in place controlling the drive. These files must be defragmented by locking the drive, or at boot time if the drive cannot be locked (i.e., a time when PerfectDisk can gain exclusive access to the drive).
Every Reboot | If selected, the file types selected will be defragmented every time you reboot your computer.


Drive Properties - Online Configuration

This screen allows you to configure how you want this drive to be defragmented.

SmartPlacement | The rarely and Frequently modified ages are used as a basis for the SmartPlacement algorithm. Typical values are 60 and 30 days respectively
Aggressively Pack free Space | During a normal SmartPlacement defragmentation pass, some free space holes are allowed to remain between files if PerfectDisk has determined that placing files directly one after another would take too much time. This can be overridden by check this box.
Fragmentation Threshold | The first step on any defragmentation pass is to determine the existing level of fragmentation. If the level meets or exceeds the value set here, the drive will be defragmented. The percentage is based on the number of fragmented files, not on megabytes of drive space.


Drive Properties

This screen displays static information about your drive.


Schedule Query - Computer Selction Page

This screen allows you to select which computers to poll for existing schedules.

Computer Selection Select the computers and/or domains to query for existing schedules.

This is the fastest way to global edit schedules on your network. You can edit multiple schedules at once, even if they have different names and start times.


Schedule Query Results Page

This screen displays the results of your query.

Results This screen displays the results of your query. You can multi-select schedules for editing, or deletion by using the Ctrl and/or Shift keys on your keyboard.

Sometime a computer cannot be queried. Some common reasons are:
  • Access Denied - you are not a member of the Administrators Group on the selected computer.
  • Not Installed - PerfectDisk v6.0 is not installed.
  • RPC server is unavailable - the computer may be turned off.


Schedule Wizard Computer Selction Page

This screen allows you to select which computers will be included in the schedule.

Computer Selection This screen is used to select computers for Network Schedules. Highlight a computer or domain in the left selection box, and click the > button to move it to the right side box.


Schedule Wizard - Daily Schedule

This screen allows you to select the date and time you want to run the schedule, as well as how many days to wait before running again.

Start Time | Select a start time, frequency and maximum duration. The maximum duration only affects the online portion of a defragmentation pass. Raxco recommends always setting a maximum duration. If set to zero, PerfectDisk will continue until it is done.
Screen Saver | If you are scheduling an OFFLINE defragmentation pass on Windows XP/2003, make sure you do not choose a time when a locked screen saver is present. Windows XP/2003 treats a locked screen saver as an application requiring the user to clear it prior to automatically shutting down.


Schedule Wizard - Drive Selection

On the Drive Selection Page, you pick which drives will be defragmented when the schedule runs.

Drive Selection | Select the drives you want tot defragment. The individual drive selection will be enabled only when the second radio button is chosen.
Defrag Options | Pick whether you want to defragment the drives in series or in parallel. Generally, selecting in series will be faster and have less impact on other programs running on your computer since less memory and CPU resources are needed.


Schedule Wizard - File Type Selection

On the File Type Selection Page, you pick whether or not to defragment online files, offline files or both.

Defragmentation Selection | Select which files you want to defragment. Online files should be defragmented at least every three days. Offline files generally do not need to be defragmented as often. Weekly or monthly is usually adequate, however you should make your own choice based on your usage patterns. An offline schedule will generally cause your computer to reboot. Under Windows XP/2003, a locked screen saver will block PerfectDisk from rebooting a computer. Windows treats a locked screen saver as an application requiring the user to clear it prior to allowing PerfectDisk to automatically reboot the computer. If you schedule a boot time defragmentation pass, either log out or ensure there is not a locked screen saver present.
File Placement Scheme | You can set the schedule to perform a optimized SmartPlacement defragmentation pass or a faster but less thorough Defragment Only pass. SmartPlacement groups files based on creation dates and consolidates the free space. Defragment Only does not attempt to consolidate free space.
Offline File Type Selection | By overriding the Drive Properties notebook settings you can select the necessary file types without having to manually edit the settings for each drive. This is especially useful when scheduling many different computers with a network schedule. If the file type does not exist on the selected drive the setting is ignored (i.e., pagefiles are not usually on every drive.)


Schedule Properties

Schedule Properties This screen presents static information about the schedule. When it will run, when it last ran, which drives are included, whether it is online and/or offline, the file placement strategy, the periodicity and the maximum duration.


Schedule Wizard - New Schedule

The New Schedule Page is where you provide a name for your schedule.

Schedule Name | Choose a name for your schedule. You should pick a name which describes how often the schedule will run and what is included. The schedule name can be changed later if necessary. If you choose a name which already exists, the new schedule will replace the old one.
Schedule Type | The schedule type selection will only appear when you have the optional Exchange Server defragmentation module installed on an Exchange Server. The selection allows you to differentiate between normal schedule and an Exchange data store schedule.


Schedule Wizard - Schedule Once

This screen allows you to select the date and time you want to run the schedule.

Start Time and Date | Select a start time and date.
Maximum Duration
  • The schedule will stop once the maximum duration is reached even if it has not completed the defragmentation pass.
  • The maximum duration only affects the online portion of a defragmentation pass.
  • Raxco recommends always setting a maximum duration. If set to zero, PerfectDisk will continue until it is done.
  • This option is not available for Exchange Data Store Schedules.
Screen Saver | If you are scheduling an OFFLINE defragmentation pass on Windows XP/2003, make sure you do not choose a time when a locked screen saver is present. Windows XP/2003 treats a locked screen saver as an application requiring the user to clear it prior to automatically shutting down.


Schedule Wizard Results

This screen displays the results of the Schedule you created.

Schedule Summary This screen displays the results of the schedule you just created or edited.

Sometimes the creation of a schedule fails. Some common reasons are:
  • RPC Failure - the computer you are trying to schedule is turned off
  • Access Denied - you were not a member of the local administrators group on the computer you were trying to schedule
  • Next Start Time is blank - The start time is in the past on the target computers system clock.


Schedule Wizard - Schedule Frequency Selection

On the Schedule Frequency Selection Page, you choose how often you want the schedule to run. Most computers should be defragmented at least every 3 days.

Schedule Frequency Choose the schedule frequency that best meets your needs.
  • Once - the schedule will only run one time
  • Daily - the schedule will run daily. You can set if for every 1 to 30 days. (Not available for Exchange Data Store Schedules).
  • Weekly - the schedule will run every 1 to 52 weeks.
Typically every 3 days is adequate for most systems


Schedule Wizard - Weekly Schedule

This screen allows you to select the date and time you want to run the schedule, as well as how many weeks to wait before running again.

Start Time
  • Select a start day, time and frequency.
  • For best results, you should choose a time when computer usage is at a minimum.
Maximum Duration
  • The schedule will stop once the maximum duration is reached even if it has not completed the defragmentation pass.
  • The maximum duration only affects the online portion of a defragmentation pass.
  • Raxco recommends always setting a maximum duration. If set to zero, PerfectDisk will continue until it is done.
  • This option is not available for Exchange Data Store Schedules.
Screen Saver If you are scheduling an OFFLINE defragmentation pass on Windows XP/2003, make sure you do not choose a time when a locked screen saver is present. Windows XP/2003 treats a locked screen saver as an application requiring the user to clear it prior to automatically shutting down.


Statistics Notebook - Excluded Files Page

The Excluded Files Page lists any file which was not defragmented during an online defragmentation pass, the reason why and the number of excess fragments

Reasons
  • Access Denied - The local system did not have permission to access the file. It could have been encrypted or have been exclusively lock by the operating system
  • Metadata File - These are files exclusively locked by the operating system and cannot be moved OMNLINE. PerfectDisk will defragment these files during an OFFLINE pass.
  • Boot File - These files are excluded if you have set the System to manage them instead of PerfectDisk. This is set in the Advanced Configuration Notebook which can be accessed from the Tools Menu
  • Excluded - The files which have been manually excluded in the Drive Properties Notebook.


Statistics Notebook - File Page

Statistics Notebook - Summary File

The File Page displays the different file types on your drive.

File Statistics This information is for information only and is presented following an Analyze or Defragmentation pass.

The free space inside the MFT Reserved Zone cannot be used during a defragmentation pass since it is exclusively held by the operating system, for expansion of the MFT (Windows 2000 only)


Statistics Notebook - Most Fragmented Files Page

The Most Fragmented Files Page lists the most fragmented files on your drive.

Most Fragmented Files This list contains the 100 most fragmented files.


Statistics Notebook - Summary Page

The Summary Page displays general information about the drive you just analyzed or defragmented

Drive Health | Red indicates a problem, yellow a warning and green an acceptable condition.
Defragmentation Recommendation | PerfectDisk will recommend what type of defragmentation pass is warranted based on free space, fragmentation levels, and number of excess fragments.


Trending

This screen allows you to gather statistical information about the drives on your computer. The data is gathered and sent to a comma de-limited file. You can use a data base or spread sheet program to analyze the data.

General Setting | here is where you tell PerfectDisk how often to gather information about your drives. You can do it daily or once a week.
Trend File | Provide a path to the file where PerfectDisk will record the data. You can use the optional computer name variable (%ComputerName%) to define your file or path. For example \\MyServer\MyShare\%ComputerName%.log, will save the data to a file named after your computer. This way trend data from around the network can be gathered in the same location. The CLEAR button can be used to empty the contents of the trend file.
Maximum Number of entries | The trend data will be appended to the same file for the number of time you have indicated.
Advanced | The Advanced button allows you to record your proxy settings.
Drives to trend | Select which drives to gather data on.


Daily Schedule

Daily schedules are used to perform defragmentation passes more frequently than once per week (i.e., daily). The interval between passes may be one or more days. This option should be used if you want to schedule regular defragmentation passes more than once a week.


Drive Monitor Window

The Drive Monitor Window is used to display information about an Analysis or Online Defragmentation pass. It is only accessible when an Analysis or Defragmentation pass is in progress. The following information is available from the Drive Monitor Window:

Fragmented Drive Bitmap

Colored Blocks – indicate the color used to represent a file type.

  1. Changing the color - The color may be changed by double clicking the color in the legend.

  2. What the Colors mean - When you are defragmenting a drive the colors of the blocks will change as the defragmentation process is performed. PerfectDisk displays a color based on the following file types:

    1. Frequently Modified - The files which are newer than the Frequently Modified Age that is set in the Drive Properties Notebook.

    2. Rarely Modified - The files which are older than the Rarely Modified Age that is set in the Drive Properties Notebook.

    3. Occasionally Modified - The remaining files which are neither Rarely Modified nor Frequently Modified.

    4. Directory - File system directories.

    5. Boot - These are the files needed to boot your computer. Under Windows XP and Windows Server 2003 these are all the files enumerated in the layout.ini file, which the operating system generates every time you reboot your computer.

    6. Excluded - These are blocks which are neither free space nor queriable files. Examples would be the pagefile, and hibernate files, as well as any manually excluded files.

    7. Free - Blocks that contain no files.

    8. MFT - Space occupied by the master file table.

    9. MFT Zone - The space reserved by the operating system to allow for contiguous growth of the Master File Table (typically 12.5% of the drive). NTFS formatted drives only.

    10. Metadata - Metadata is "data about data." It is the file system overhead, so to speak, that is used to keep track of everything about all of the files on the volume. Metadata tells what allocation units make up the data for a given file, what allocation units are free, what allocation units contain bad sectors, and so on.

    11. Fragmented Files Outlined - If a file is fragmented, the bitmap will display it outlined in this color. The center will still correspond to Frequently Modified, Occasionally Modified, Rarely Modified, etc., color.

See also:

Drive Properties Notebook


Excluded Files

PerfectDisk treats any space that cannot be accessed as excluded. The reason a file is excluded is listed on the Excluded File tab of the Statistics Notebook. The possible reasons are:

  1. Metadata File - operating system files including the MFT.

  2. Accessed Denied - the file is opened for exclusive access by another process such as the Pagefile or Hibernate file.

  3. Excluded - the file has been manually excluded by the user. This is accomplished by excluding a file/folder in the Drive Properties Notebook, Excluded Files tab.

  4. Boot - Boot files are excluded if on the General Settings tab of the Advanced Configuration Notebook, you have not selected PerfectDisk to manage the boot files. See the Advanced Configuration Settings.
    1. On Windows 2003/XP, Microsoft has introduced automatic defragmentation and optimization of certain files to speed up the boot process. These files are listed in the layout.ini file (\\Windows\Prefetch\layout.ini). The operating system will attempt to defragment these files every 3 days if your computer is idle. This process will not clear any free space to consolidate these files, so Raxco recommends you let PerfectDisk place these files in the optimal location.
    2. On Windows 2000, boot files are the files needed to start up your computer, since the layout.ini file does not exist. This would include all your system drivers, ntldr, boot.ini, NTdetect.com, your *.nls files, etc.


Failed to Schedule Message

Failed to Schedule

The Schedule wizard summary page may display a FAILED TO SCHEDULE message if it could not get access to PerfectDisk (PDSched) on a particular machine. This could happen for one of the following reasons:

  1. You do not have access rights to the selected computer.

  2. PerfectDisk is not installed on the computer you scheduled to defragment.

  3. The time/date you scheduled is not at least 5 minutes in the future, for the selected computer.


Free Space

Free Space represents the portion of the disk outside of the MFT Reserved Zone (NTFS only) which is not being used to store files.


Frequently Modified Files

Frequently Modified files are files that are newer then the Frequently Modified Age. SmartPlacement technology consolidates the Frequently Modified Age to a common area of the drive for faster access. Frequently Modified Age can be set from the Drive Properties Notebook.


Getting Started

Help topic not available


MFT Reserved Space

This is space reserved for the Master File Table (MFT) by the Windows operating system. The operating system reserves this space to allow for contiguous expansion of the MFT. This in turn minimizes fragmentation of the MFT. This zone is made up of clusters already used by the MFT as well as free space that the operating system has reserved for the expansion of the MFT. The "free space" in the MFT Reserved zone is not available for use by PerfectDisk for defragmenting your disk.


Occasionally Modified Files

Occasionally Modified Files are files that are newer then Rarely Modified files, but older then Frequently Modified files.


Offline

Offline Defragmentation

  1. When PerfectDisk starts an offline defragmentation pass (scheduled or immediate), it first tries to lock the volume without forcing the user to reboot. If the volume can be locked the Offline Defragmentation pass will be performed allowing the user to access other drives on the computer at the same time.
  2. If the volume cannot be locked, you will be asked if you would like to force all open handles to be closed. If you click on Yes, then PerfectDisk will attempt to close all open handles to that partition. If it is successful, then the Offline Defragmentation pass will be performed.
  3. If the volume cannot be locked during an immediate offline defragmentation pass, the user will be asked to perform the pass during the next reboot.
  4. During Scheduled Offline passes, the user is alerted prior to the scheduled start, that the computer will be rebooted by PerfectDisk.
  5. While the drive is locked no other process will be able to access the drive. If another process tries to update the drive, the operating system will return a message indicating that the drive does not exist.
  6. The system drive, as well as any drive containing the Page File cannot be locked while the operating system is running and therefore will require the system to be rebooted to perform the defragmentation pass.


One Time Schedule

One Time schedules are used to perform defragmentation passes once. This option should be used if you want to execute a defragmentation pass once at some later time, such as in the middle of the night when work load is lighter.


Online vs. Offline File Types

Certain files cannot be defragmented online due to operating system constraints. The constraints vary by operating system (Windows 2003, Windows XP and Windows 2000) and by file system format (FAT/FAT32 or NTFS). The three types of files which may need to be defragmented offline are:

Pagefile - This is your virtual memory file (Pagefile.sys). This file is exclusively locked by the operating system and can only be placed by a boot time defragmentation pass.
System Files - These are operating system files such as the Master File Table, the hibernate file and other metadata files. Depending on the operating and file systems some of these files can be defragmented online and some offline. See the below chart.
Directories - On NTFS formatted drives directories are treated as online files. On FAT/FAT32 formatted drives directories are treated as offline files.

Windows 2000 | FAT or FAT32 | NTFS
Page file | OFFLINE | OFFLINE
System Files | OFFLINE Example: Hibernate file. | OFFLINE Example: Master File Table, the hibernate file and other metadata files.
Directories | OFFLINE | ONLINE
Data Files | ONLINE | ONLINE

Windows 2003/XP | FAT or FAT32 | NTFS
Page file | OFFLINE | OFFLINE
System Files | OFFLINE Hibernate file. | OFFLINE - hibernate file ONLINE - Master File Table ONLINE & OFFLINE - other metadata files
Directories | OFFLINE | ONLINE
Data Files | ONLINE | ONLINE


Rarely Modified Files

Rarely Modified files are files that are older then the Rarely Modified Age. SmartPlacement technology moves files that are older than the Rarely Modified Age to the same general area of the disk, to minimize fragmentation of new files and to speed up subsequent defragmentation passes. Rarely Modified Age can be set from the Drive Properties Notebook.


Fragmentation Threshold

The Fragmentation Threshold Level controls whether PerfectDisk will defragment a drive. The threshold is specified as a percentage. If the threshold is set to 5, then PerfectDisk will only defragment that drive if the fragmentation level is 5% or higher.

The default value is set to 0 meaning that PerfectDisk will defragment that drive regardless of the fragmentation level.


Weekly Schedule

Weekly schedules are used to perform defragmentation passes no more than once per week. The interval between passes may be one or more weeks. This option should be used if you want to schedule regular defragmentation passes once a week or once every several weeks.


What's new for PerfectDisk

Faster defragmentation times. PerfectDisk's performance has been increased up to 20%.

"In series" defragmentation of multiple drives to increase performance while reducing the system resources needed to defragment your drive.

PerfectDisk's optimal placement of the MFT further onto the disk, has been found by Microsoft to improve system performance by 5 to 10 percent.

SmartPlacementTM now includes boot file optimization to increase system startup.

Increased drive support. PerfectDisk can defragment drives beyond 500 GB.

More comprehensive command line features. PerfectDisk's command line features have been enhanced to support offline defragmentation of partitions and a full set of return codes to allow performing any defragmentation operation from a batch file.